Method: networks.getDefaultThirdPartyDataDeclaration

Returns the DefaultThirdPartyDataDeclaration for this network.

HTTP request

GET https://admanager.googleapis.com/v1/{name}

Path parameters

Parameters
name

string

Required. Resource name of DefaultThirdPartyDataDeclaration. Format: networks/{networkCode}/defaultThirdPartyDataDeclaration

Request body

The request body must be empty.

Response body

The DefaultThirdPartyDataDeclaration singleton resource.

If successful, the response body contains data with the following structure:

JSON representation
{
  "name": string,
  "thirdPartyDataDeclaration": {
    object (ThirdPartyDataDeclaration)
  }
}
Fields
name

string

Identifier. The resource name of the DefaultThirdPartyDataDeclaration. Format: networks/{networkCode}/defaultThirdPartyDataDeclaration

thirdPartyDataDeclaration

object (ThirdPartyDataDeclaration)

Optional. Returns the default ThirdPartyDataDeclaration for this network. If this setting has never been updated on your network, then this API response will be unset.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admanager
  • https://www.googleapis.com/auth/admanager.readonly

For more information, see the OAuth 2.0 Overview.